### If you believe you have an issue that affects the security of the platform please do NOT create an issue and instead email your issue details to secure@microsoft.com. Your report may be eligible for our [bug bounty](https://technet.microsoft.com/en-us/mt764065.aspx).

### Please consider the following before filing an issue

* If you are using NuGet Packages that start with `Microsoft.AspNet.SignalR`, use the issue tracker at https://github.com/SignalR/SignalR to report the issue. This 
repository is for packages that start with `Microsoft.AspNetCore.SignalR` (and NPM packages that start with `@aspnet/signalr`)

### Please include as much of the following as you can in your bug report

* Versions of Server-Side NuGet Packages:
* Versions of Client-Side NuGet/NPM Packages:
* Are you using the C# client or the JavaScript client:
* The Server you are using (Kestrel/HttpSysServer/IIS/IIS Express/Azure Web App/etc.): 
* The Operating System on the Server (Windows/Linux/macOS):
* The Operating System on the Client (Windows/Linux/macOS):
* The Browser on the client, if using the JavaScript client (IE/Chrome/Edge/Firefox/etc.):
* Please use the Diagnostics Guide at https://github.com/aspnet/SignalR/wiki/Diagnostics-Guide to collect server-side and client-side logs and network traces if possible. Please **do not** put the traces and logs in the Issue text as they are quite large. The Diagnostics Guide describes how to attach them to the issue.

When in doubt, feel free to file the issue, we're happy to help answer questions. We also suggest using the `asp.net-core-signalr` tag on StackOverflow to ask questions.
